package org.springblade.modules.finance.service;

import org.springblade.modules.finance.entity.Order;

/**
 * Author pangqijun
 * Date 2022/10/12
 * Description
 */
public interface IWxPayService {

	/**
	 * 获取证书序列号
	 * @return
	 */
	String getSerialNumber();

	/**
	 * 获取平台证书序列号
	 * @return
	 */
	String getPlatSerialNumber();

	/**
	 * 获取商户号
	 * @return
	 */
	String getMchId();

	/**
	 * 订单退款
	 * @param order 订单
	 * @return
	 */
	Boolean orderRefund(Order order);

	void refundByFlow(String trNO, Double amount, Double refundAmount) throws Exception;

	String savePlatformCert(String associatedData, String nonce, String cipherText, String certPath);
}
